org.eclipse.actf.model.ui.editor.actions

## Class TextSizeAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.actf.model.ui.editor.actions.TextSizeAction

All Implemented Interfaces:
  org.eclipse.jface.action.IAction

    public class TextSizeAction
    extends org.eclipse.jface.action.Action

Action to invoke setFontSize method of the current active `IWebBrowserACTF`

### Field Summary

Fields
`static String` `ID`

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
Constructor and Description
`TextSizeAction(org.eclipse.ui.IWorkbenchWindow window)` Constructor of the action with image icon.

### Method Summary

Methods
`int` `getFontSize()` Get target font size
`void` `run()`
`void` `setFontSize(int fontSize)` Set target font size

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, removePropertyChangeListener`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.action.IAction

`addPropertyChangeListener, removePropertyChangeListener`

### Field Detail

#### ID

    public static final String ID

### Constructor Detail

#### TextSizeAction

    public TextSizeAction(org.eclipse.ui.IWorkbenchWindow window)

Constructor of the action with image icon.

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `org.eclipse.jface.action.IAction`
Overrides:
  `run` in class `org.eclipse.jface.action.Action`

#### setFontSize

    public void setFontSize(int fontSize)

Set target font size

Parameters:
  `fontSize` - target font size

#### getFontSize

    public int getFontSize()

Get target font size

Returns:
  font size